---
schema_version: "1"
id: 4aeaa567d27a99e37abf8bfa5f3afc149fc3953d35f361c1b6d6e3d3ef066b90
title: Get Information About All Ingest Jobs
collection: developer
version: current
locale: en-us
portal_url: https://docs.salesforce.com/developer/current/en-us/platform/api-asynch/guides/api-bulk-v2/reference/get-all-jobs.md
canonical_url: https://developer.salesforce.com/docs/platform/api-asynch/guide/get-all-jobs.html
source_site: developer.salesforce.com
content_type: documentation
content_hash: e11bd88d3fb55dcf52637a791089adc61ea90232a9c273f0fef5a79820b4d354
products:
  - Bulk API 2.0 and Bulk API Developer Guide
  - Platform Developer Content
---

# Get Information About All Ingest Jobs

Retrieves detailed information about all jobs in the org. Job records are returned in an indeterminate order.

**URI:** `/services/data/vXX.X/jobs/ingest`

**Availability:** This resource is available in API version 41.0 and later.

**Formats:** JSON

**HTTP Method:** GET

**Authentication:** `Authorization: Bearer token`

**Parameters:**

| Parameter             | Description                                                                                                                                                                                                                                     |
| --------------------- | ----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| `isPkChunkingEnabled` | If set to `true`, filters jobs with PK chunking enabled.                                                                                                                                                                                        |
| `jobType`             | Filters jobs based on job type. Valid values include:<ul><li>`BigObjectIngest`—BigObjects job</li><li>`Classic`—Bulk API 1.0 job</li><li>`V2Ingest`—Bulk API 2.0 job</li></ul>                                                                  |
| `queryLocator`        | Use `queryLocator` with a locator value to get a specific set of job results. Get All Jobs returns up to 1000 result rows per request, along with a `nextRecordsUrl` value that contains the locator value used to get the next set of results. |

**Request Body**

None required.

**Response Body**

| Property         | Type       | Description                                                                                                                  |
| ---------------- | ---------- | ---------------------------------------------------------------------------------------------------------------------------- |
| `done`           | boolean    | Indicates whether there are more jobs to get. If `false`, use the `nextRecordsUrl` value to retrieve the next group of jobs. |
| `records`        | JobInfo[ ] | Contains information for each retrieved job.                                                                                 |
| `nextRecordsUrl` | URL        | A URL that contains a query locator used to get the next set of results in a subsequent request if `done` isn’t `true`.      |

**JobInfo**

| Property          | Type                | Description                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                          |
| ----------------- | ------------------- | ---------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| `apiVersion`      | string              | The API version that the job was created in.                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                         |
| `columnDelimiter` | ColumnDelimiterEnum | The column delimiter used for CSV job data. Values include:<ul><li>`BACKQUOTE`—backquote character (\`)</li><li>`CARET`—caret character (^)</li><li>`COMMA`—comma character (,) which is the default delimiter</li><li>`PIPE`—pipe character (\|)</li><li>`SEMICOLON`—semicolon character (;)</li><li>`TAB`—tab character</li></ul>                                                                                                                                                                                                                                                                  |
| `concurrencyMode` | ConcurrencyModeEnum | For future use. How the request was processed. Currently only parallel mode is supported. (When other modes are added, the mode will be chosen automatically by the API and will not be user configurable.)                                                                                                                                                                                                                                                                                                                                                                                          |
| `contentType`     | ContentType         | The format of the data being processed. Only CSV is supported.                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                       |
| `contentUrl`      | URL                 | The URL to use for [Upload Job Data](https://developer.salesforce.com/docs/platform/api-asynch/guide/upload-job-data.md#upload-job-data) requests for this job. Only valid if the job is in `Open` state.                                                                                                                                                                                                                                                                                                                                                                                                                                                            |
| `createdById`     | string              | The ID of the user who created the job. Create the batch with the same user.                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                         |
| `createdDate`     | dateTime            | The date and time in the UTC time zone when the job was created.                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                     |
| `id`              | string              | Unique ID for this job.                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              |
| `jobType`         | JobTypeEnum         | The job’s type. Values include:<ul><li>`BigObjectIngest`: BigObjects job</li><li>`Classic`: Bulk API 1.0 job</li><li>`V2Ingest`: Bulk API 2.0 job</li></ul>                                                                                                                                                                                                                                                                                                                                                                                                                                          |
| `lineEnding`      | LineEndingEnum      | The line ending used for CSV job data. Values include:<ul><li>`LF`—linefeed character</li><li>`CRLF`—carriage return character followed by a linefeed character</li></ul>                                                                                                                                                                                                                                                                                                                                                                                                                            |
| `object`          | string              | The object type for the data being processed.                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        |
| `operation`       |                     | The processing operation for the job. Values include:<ul><li>`insert`</li><li>`delete`</li><li>`hardDelete`</li><li>`update`</li><li>`upsert`</li></ul>                                                                                                                                                                                                                                                                                                                                                                                                                                              |
| `state`           | JobStateEnum        | The current state of processing for the job. Values include:<ul><li>`Open`—The job has been created, and data can be added to the job.</li><li>`UploadComplete`—No new data can be added to this job. You can’t edit or save this job, as Salesforce is processing it.</li><li>`Aborted`—The job has been aborted. You can abort a job if you created it or if you have the “Manage Data Integrations” permission.</li><li>`JobComplete`—The job was processed by Salesforce.</li><li>`Failed`—Some records in the job failed. Job data that was successfully processed isn’t rolled back.</li></ul> |
| `systemModstamp`  | dateTime            | Date and time in the UTC time zone when the job finished.                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            |
